# arm_matrix_instance_f32 Struct Reference

Instance structure for the floating-point matrix structure. More...

`#include <arm_math.h>`

## Data Fields

uint16_t | numRows
uint16_t | numCols
float32_t * | pData

## Detailed Description

Instance structure for the floating-point matrix structure.

Examples:

  arm_class_marks_example_f32.c, and arm_matrix_example_f32.c.

Definition at line 1337 of file arm_math.h.

## Field Documentation

uint16_t arm_matrix_instance_f32::numRows

number of rows of the matrix.

Definition at line 1339 of file arm_math.h.

uint16_t arm_matrix_instance_f32::numCols

number of columns of the matrix.

Definition at line 1340 of file arm_math.h.

float32_t* arm_matrix_instance_f32::pData

points to the data of the matrix.

Definition at line 1341 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines